Skip navigation
Currently Being Moderated

Updates for Flash Builder 4?

Mar 23, 2010 8:22 AM

Anyone know if this plugin is going to be updated for  Flash Builder 4?  And when it might be available?  Thanks.

 
Replies
  • Currently Being Moderated
    Mar 23, 2010 9:09 AM   in reply to TOdd_23523523

    As far as I know the Flex PMD eclipse is compatible with the latest Flash Builder eclipse plugin.

    Cheers,

    François

     
    |
    Mark as:
  • Currently Being Moderated
    Mar 25, 2010 7:40 AM   in reply to TOdd_23523523

    There are currently no plans to move the Cairngorm Plugin to FB4. Sorry.

     
    |
    Mark as:
  • Currently Being Moderated
    Apr 9, 2010 5:16 AM   in reply to TOdd_23523523

    I did a patch to allow Cairngorm plugin to work with Flash Builder 4, where can I submit it ?

     
    |
    Mark as:
  • Currently Being Moderated
    Apr 13, 2010 1:04 AM   in reply to ericdpascal

    Hi Eric,

    did you have any success contacting someone with your patch? Can I find it anywhere?

    I'd be very interested in using your plugin-patch,

     

    with kind regards,

    Jonas

     
    |
    Mark as:
  • Currently Being Moderated
    Apr 13, 2010 1:52 AM   in reply to julrich_ts

    Hi,

    I have submitted the patch to JIRA, here is the link

    https://bugs.adobe.com/jira/browse/CGM-16

    <https://bugs.adobe.com/jira/browse/CGM-16>No answer yet

     

    If you could give me feedback on bugs I could try to fix them, I know there

    are still bugs and strange behaviour like before but it should be usable.

     

    Best regards,

    Eric

     
    |
    Mark as:
  • Currently Being Moderated
    Apr 13, 2010 1:53 AM   in reply to TOdd_23523523

    I haved added the patch to an existing Jira bug : https://bugs.adobe.com/jira/browse/CGM-16

    You can test it.

    Happy coding

     
    |
    Mark as:
  • Currently Being Moderated
    Apr 13, 2010 2:13 AM   in reply to TOdd_23523523

    Hey Eric,

    great! I will definitely test it and get back to you with feedback, as I'm starting on a new Flex/Cairngorm-project today,

     

    kind regards,

    Jonas

     
    |
    Mark as:
  • Currently Being Moderated
    Apr 13, 2010 4:18 AM   in reply to julrich_ts

    Just a quick follow-up. I tried installing the plugin you attached to the issue in JIRA.

    Is there anything I have to take into account to install it? Just unpacking it in my plugins folder did nothing for me.

     
    |
    Mark as:
  • Currently Being Moderated
    Apr 13, 2010 4:34 AM   in reply to julrich_ts

    uninstall the old one and put the .jar in eclipse/dropins folder, restart

     
    |
    Mark as:
  • Currently Being Moderated
    Apr 13, 2010 6:57 AM   in reply to ericdpascal

    I'm starting to feel a bit slow sorry.

    I completely removed the old plugin, and put your .jar ('com.adobe.cairngorm.ui_0.0.7.201004091056.jar') in 'dropins'.

    Shouldn't the file be removed upon the next start of the IDE? Because it is not.

     

    Maybe the problem is that I'm using the 'Flash Builder 4' stand-alone version, and not the Eclipse-plugin?

     
    |
    Mark as:
  • Currently Being Moderated
    Apr 13, 2010 7:39 AM   in reply to julrich_ts

    not it's not removed what JRE are you using to run eclipse 1.5 or 1.6 ?

     
    |
    Mark as:
  • Currently Being Moderated
    Apr 13, 2010 7:42 AM   in reply to julrich_ts

    try this one after renaming to .jar it's compiled with 1.5

     
    |
    Mark as:
  • Currently Being Moderated
    Apr 13, 2010 7:42 AM   in reply to ericdpascal

    As I said, I'm not really using Eclipse itself, but the Flash Builder 4, which is based on Eclipse. After having a quick look, it's distributed with 1.6.

     
    |
    Mark as:
  • Currently Being Moderated
    Apr 13, 2010 7:47 AM   in reply to julrich_ts

    Yes I have tested but I compiled it on eclipse 3.5.2 so it must not be

    compatible with 3.4 I will try to compile it for 3.4 also

     
    |
    Mark as:
  • Currently Being Moderated
    Apr 13, 2010 7:49 AM   in reply to ericdpascal

    That'd be great, as Flash Builder 4 seems to be based on Eclipse 3.4, thanks for your effort!

     
    |
    Mark as:
  • Currently Being Moderated
    Apr 13, 2010 8:09 AM   in reply to julrich_ts

    Here is the new version, I just had to change a very small thing

     
    |
    Mark as:
  • Currently Being Moderated
    Apr 13, 2010 12:05 PM   in reply to ericdpascal

    I have attached the new version to the JIRA Bug https://bugs.adobe.com/jira/browse/CGM-16

    the name of the file is

    com.adobe.cairngorm.ui_0.0.7.201004131706.jar

    Thanks for your feedbacks

     
    |
    Mark as:
  • Currently Being Moderated
    May 5, 2010 8:54 PM   in reply to ericdpascal

    Hi Eric,

     

    When attempting to create a service locator I get the following error using the latest version of your patched plugin:

     

    Unexpected error occurred
    java.lang.reflect.InvocationTargetException

     

    Thanks!

     
    |
    Mark as:
  • Currently Being Moderated
    May 5, 2010 9:39 PM   in reply to MisterCee69

    The service locator was not yet implemented in this version, I have forgotten to remove the menu. I don't know this plugin enough to implement this function, all I did was to adapt it and fix a few bugs. The service locator was a new function to be implemented in the future I got when I took the sources from the subversion trunk.

    If I find the time to implement it I will notify you.

    Eric

     
    |
    Mark as:
  • Currently Being Moderated
    May 5, 2010 10:33 PM   in reply to ericdpascal

    I managed to get it working I think.


    In the cairngorm 2.2.2 beta location

     

    Edit resources/flexbuilder/cairngorm.xml and add an entry for ServiceLocator:

     

    <?xml version="1.0" encoding="UTF-8"?>
    <cairngorm>
       <controller>com.adobe.cairngorm.control.FrontController</controller>
       <templates>
          <template name="controller">Controller.asjet</template>
          <template name="event">Event.asjet</template>
          <template name="command">Command.asjet</template>
          <template name="serviceLocator">ServiceLocator.asjet</template>
       </templates>
    </cairngorm>

     

    Create resources/flexbuilder/template/ServiceLocator.asjet with the following content (for Flex 4):

     

    <%@ jet package="translated" class="ServiceLocator" %>
    <?xml version="1.0" encoding="utf-8"?>
    <services:ServiceLocator xmlns:services="com.adobe.cairngorm.business.*"
             xmlns:fx="http://ns.adobe.com/mxml/2009"
             xmlns:s="library://ns.adobe.com/flex/spark"
             xmlns:mx="library://ns.adobe.com/flex/mx" >
        <fx:Declarations>
            <!-- Place non-visual elements (i.e., services) here -->
        </fx:Declarations>
    </services:ServiceLocator>

     
    |
    Mark as:
  • Currently Being Moderated
    May 20, 2010 3:18 PM   in reply to MisterCee69

    I was able to install the patched plugin (com.adobe.cairngorm.ui_0.0.7.201004160858.jar), configure for Cairngorm location and then I tried to add the nature to my project. It updated the controller, but with bugs:

     

               public function BalanceFrontController()
          {
             null();
          }
     
          public function initialize() : void
          {
             null( AddressInfoPopupEvent.EVENT_NAME, AddressInfoPopupCommand );
             null( BalanceDaoEvent.TEST_EVENT, BalanceDaoCommand );
          }
    

     

    I corrected this code and tried to create a new command/event. I tried to specify com.adobe.cairngorm.commands.ICommand as command superclass, but plugin rejected it as an unknown class. So, I left the command's cuperclass blank. It created the Event correctly, but the created Command is empty. No errors.

     
    |
    Mark as:
  • Currently Being Moderated
    May 20, 2010 11:50 PM   in reply to fuzzyb123

    Could you try with the latest version ?

     
    |
    Mark as:
  • Currently Being Moderated
    May 21, 2010 12:07 AM   in reply to ericdpascal

    Which one is the latest? The *858.jar has the latest date of all attachments to https://bugs.adobe.com/jira/browse/CGM-16.

     
    |
    Mark as:
  • Currently Being Moderated
    May 21, 2010 12:26 AM   in reply to fuzzyb123

    I have uploaded the latest version

     
    |
    Mark as:
  • Currently Being Moderated
    May 27, 2010 11:53 AM   in reply to ericdpascal

    Thanks. I have updated my plugin (removed the old jar from dropins folder and then placed the new  jar there and then started the eclipse). Adding the nature worked fine, now. No "null" methods.  Still, the create event/command has the same problems as above described. is there something I can be doing wrong? What is the meaning of "library path" when adding the nature? How is "library path" related to pointing to the selected location of the cairngorm framework thru the drop-down just above it?

     
    |
    Mark as:

More Like This

  • Retrieving data ...

Bookmarked By (0)

Answers + Points = Status

  • 10 points awarded for Correct Answers
  • 5 points awarded for Helpful Answers
  • 10,000+ points
  • 1,001-10,000 points
  • 501-1,000 points
  • 5-500 points